library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity vaja2_1 is
	port (e,s: IN STD_LOGIC;
		  x: IN STD_LOGIC_VECTOR(1 downto 0);	
		  yM, yE: OUT STD_LOGIC);

  	attribute pin_numbers of vaja2_1:entity is 
		"e:1 s:2 x(1):3 x(0):4 " &
		"yM:18 yE:19 ";

end vaja2_1;

architecture behavioral of vaja2_1 is
begin
	yM <= e AND ( ( NOT(s) AND x(0) ) OR ( s AND x(1) ) );
	yE <= x(1) XOR x(0) WHEN e = '0' else
			'Z';
end behavioral;
